aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/gcc/gcc-4.3.3/debian/alpha-ieee.dpatch
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/gcc/gcc-4.3.3/debian/alpha-ieee.dpatch
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/gcc/gcc-4.3.3/debian/alpha-ieee.dpatch')
-rw-r--r--recipes/gcc/gcc-4.3.3/debian/alpha-ieee.dpatch57
1 files changed, 57 insertions, 0 deletions
diff --git a/recipes/gcc/gcc-4.3.3/debian/alpha-ieee.dpatch b/recipes/gcc/gcc-4.3.3/debian/alpha-ieee.dpatch
new file mode 100644
index 0000000000..4070b1a39e
--- /dev/null
+++ b/recipes/gcc/gcc-4.3.3/debian/alpha-ieee.dpatch
@@ -0,0 +1,57 @@
+#! /bin/sh -e
+
+# DP: #212912
+# DP: on alpha-linux, make -mieee default and add -mieee-disable switch
+# DP: to turn default off
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p1 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p1 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+
+--- src/gcc/config/alpha/alpha.c~ 2005-06-04 21:25:45.000000000 +0200
++++ src/gcc/config/alpha/alpha.c 2005-09-30 22:21:33.251175568 +0200
+@@ -248,6 +248,10 @@
+ { 0, 0, 0 }
+ };
+
++ /* If not -ffinite-math-only, enable -mieee*/
++ if (!flag_finite_math_only)
++ target_flags |= MASK_IEEE|MASK_IEEE_CONFORMANT;
++
+ /* Unicos/Mk doesn't have shared libraries. */
+ if (TARGET_ABI_UNICOSMK && flag_pic)
+ {
+#--- src/gcc/doc/invoke.texi~ 2005-09-29 20:00:57.638380128 +0200
+#+++ src/gcc/doc/invoke.texi 2005-09-30 22:23:22.922502992 +0200
+#@@ -7670,6 +7670,13 @@
+# values such as not-a-number and plus/minus infinity. Other Alpha
+# compilers call this option @option{-ieee_with_no_inexact}.
+#
+#+DEBIAN SPECIFIC: This option is on by default, unless
+#+@option{-ffinite-math-only} (which is part of the @option{-ffast-math}
+#+set) is specified, because the software functions in the GNU libc math
+#+libraries generate denormalized numbers, NaNs, and infs (all of which
+#+will cause a programs to SIGFPE when it attempts to use the results without
+#+@option{-mieee}).
+#+
+# @item -mieee-with-inexact
+# @opindex mieee-with-inexact
+# This is like @option{-mieee} except the generated code also maintains